#include <bits/stdc++.h>
//#define int long long
#define pb push_back
#define fs first
#define sc second
using namespace std;

vector<int> solve(vector<int> a) {
    int n = a.size();
    vector<int> ans;
    ans.pb(n - 1);
    for (int i = 0; i < n - 1; i++) ans.pb(i);
    return ans;
}
// signed main() {
//     vector<int> a = {1, 2, 4, 8, 16, 32, 64, 128};
//     vector<int> res = solve(a);
//     for (auto u:res) cout << u << " ";
// }